List enrichments of people
curl --request GET \
--url https://api.folk.app/v1/person-enrichments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.folk.app/v1/person-enrichments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.folk.app/v1/person-enrichments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://api.folk.app/v1/person-enrichments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.folk.app/v1/person-enrichments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.folk.app/v1/person-enrichments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"items": [
{
"id": "enr_3f2a6c1e-8b1d-4f0a-9c2e-5d7b8a9e0f11",
"status": "completed",
"fields": [
"emails",
"phones"
],
"createdAt": "2026-09-23T13:02:36.209Z",
"finishedAt": "2026-09-23T13:03:25.203Z",
"errorReason": null,
"summary": {
"total": 5,
"enriched": 1,
"partiallyEnriched": 1,
"notEnriched": 1,
"skipped": 1,
"error": 1
},
"items": [
{
"id": "per_05834d3b-2c1a-4e5f-8a9b-0c1d2e3f4a5b",
"status": "enriched",
"enrichedFields": [
"emails",
"phones"
],
"missingInputs": []
},
{
"id": "per_9a1c7e2f-3b4d-4c5e-9f6a-7b8c9d0e1f2a",
"status": "partially_enriched",
"enrichedFields": [
"emails"
],
"missingInputs": [
"linkedinUrl"
]
},
{
"id": "per_77be1a2b-4c5d-4e6f-8a7b-9c0d1e2f3a4b",
"status": "not_enriched",
"enrichedFields": [],
"missingInputs": [
"companyWebsite",
"linkedinUrl"
]
},
{
"id": "per_2d4f6a8c-1e3b-4d5f-9a7c-8e0b2d4f6a8c",
"status": "skipped",
"enrichedFields": [],
"missingInputs": []
},
{
"id": "per_c3e5a7b9-2d4f-4a6c-8e0b-1d3f5a7c9e0b",
"status": "error",
"enrichedFields": [],
"missingInputs": []
}
]
}
],
"pagination": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "The request was invalid.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#bad-request",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "No valid API key provided.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#unauthorized",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "The API key doesn’t have permissions to perform the request.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#forbidden",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "The requested resource was not found.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#not-found",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}{
"error": {
"code": "UNPROCESSABLE_ENTITY",
"message": "Invalid query parameters",
"documentationUrl": "https://developer.folk.app/api-reference/errors#unprocessable-entity",
"details": {
"issues": [
{
"code": "too_small",
"minimum": 1,
"type": "number",
"inclusive": true,
"exact": false,
"message": "Number must be greater than or equal to 1",
"path": [
"limit"
]
}
]
},
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"message": "You have exceeded your rate limit.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#rate-limiting",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z",
"details": {
"policy": "burst",
"limit": 20,
"remaining": 0,
"windowSeconds": 2,
"retryAfter": "2025-10-01T12:00:02.000Z",
"policies": [
{
"policy": "default",
"limit": 600,
"remaining": 412,
"windowSeconds": 60,
"retryAfter": "2025-10-01T12:01:00.000Z"
},
{
"policy": "burst",
"limit": 20,
"remaining": 0,
"windowSeconds": 2,
"retryAfter": "2025-10-01T12:00:02.000Z"
}
]
}
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#internal-server-error",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "The service is currently unavailable.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#service-unavailable",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}Person enrichments
List enrichments of people
Retrieve a paginated list of the person enrichments of the workspace.
GET
/
v1
/
person-enrichments
List enrichments of people
curl --request GET \
--url https://api.folk.app/v1/person-enrichments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.folk.app/v1/person-enrichments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.folk.app/v1/person-enrichments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://api.folk.app/v1/person-enrichments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.folk.app/v1/person-enrichments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.folk.app/v1/person-enrichments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"items": [
{
"id": "enr_3f2a6c1e-8b1d-4f0a-9c2e-5d7b8a9e0f11",
"status": "completed",
"fields": [
"emails",
"phones"
],
"createdAt": "2026-09-23T13:02:36.209Z",
"finishedAt": "2026-09-23T13:03:25.203Z",
"errorReason": null,
"summary": {
"total": 5,
"enriched": 1,
"partiallyEnriched": 1,
"notEnriched": 1,
"skipped": 1,
"error": 1
},
"items": [
{
"id": "per_05834d3b-2c1a-4e5f-8a9b-0c1d2e3f4a5b",
"status": "enriched",
"enrichedFields": [
"emails",
"phones"
],
"missingInputs": []
},
{
"id": "per_9a1c7e2f-3b4d-4c5e-9f6a-7b8c9d0e1f2a",
"status": "partially_enriched",
"enrichedFields": [
"emails"
],
"missingInputs": [
"linkedinUrl"
]
},
{
"id": "per_77be1a2b-4c5d-4e6f-8a7b-9c0d1e2f3a4b",
"status": "not_enriched",
"enrichedFields": [],
"missingInputs": [
"companyWebsite",
"linkedinUrl"
]
},
{
"id": "per_2d4f6a8c-1e3b-4d5f-9a7c-8e0b2d4f6a8c",
"status": "skipped",
"enrichedFields": [],
"missingInputs": []
},
{
"id": "per_c3e5a7b9-2d4f-4a6c-8e0b-1d3f5a7c9e0b",
"status": "error",
"enrichedFields": [],
"missingInputs": []
}
]
}
],
"pagination": {}
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "The request was invalid.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#bad-request",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "No valid API key provided.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#unauthorized",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "The API key doesn’t have permissions to perform the request.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#forbidden",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "The requested resource was not found.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#not-found",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}{
"error": {
"code": "UNPROCESSABLE_ENTITY",
"message": "Invalid query parameters",
"documentationUrl": "https://developer.folk.app/api-reference/errors#unprocessable-entity",
"details": {
"issues": [
{
"code": "too_small",
"minimum": 1,
"type": "number",
"inclusive": true,
"exact": false,
"message": "Number must be greater than or equal to 1",
"path": [
"limit"
]
}
]
},
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"message": "You have exceeded your rate limit.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#rate-limiting",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z",
"details": {
"policy": "burst",
"limit": 20,
"remaining": 0,
"windowSeconds": 2,
"retryAfter": "2025-10-01T12:00:02.000Z",
"policies": [
{
"policy": "default",
"limit": 600,
"remaining": 412,
"windowSeconds": 60,
"retryAfter": "2025-10-01T12:01:00.000Z"
},
{
"policy": "burst",
"limit": 20,
"remaining": 0,
"windowSeconds": 2,
"retryAfter": "2025-10-01T12:00:02.000Z"
}
]
}
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#internal-server-error",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "The service is currently unavailable.",
"documentationUrl": "https://developer.folk.app/api-reference/errors#service-unavailable",
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"timestamp": "2025-10-01T12:00:00Z"
}
}Authorizations
API key for authentication
Query Parameters
The number of enrichments to return, up to 10: each enrichment includes the result of up to 500 people.
Required range:
1 <= x <= 10A cursor for pagination across multiple pages of results. Don’t include this parameter on the first call. Use the pagination.nextLink value returned in a previous response to request subsequent results.
Maximum string length:
512The logical operator to combine multiple filters.
Available options:
and, or A record of filters to apply, following the format filter[attribute][operator]=value. Refer to Filterable fields to learn more.
Response
A page of person enrichments of the workspace.
Show child attributes
Show child attributes
Example:
{ "items": [ { "id": "enr_3f2a6c1e-8b1d-4f0a-9c2e-5d7b8a9e0f11", "status": "completed", "fields": ["emails", "phones"], "createdAt": "2026-09-23T13:02:36.209Z", "finishedAt": "2026-09-23T13:03:25.203Z", "errorReason": null, "summary": { "total": 5, "enriched": 1, "partiallyEnriched": 1, "notEnriched": 1, "skipped": 1, "error": 1 }, "items": [ { "id": "per_05834d3b-2c1a-4e5f-8a9b-0c1d2e3f4a5b", "status": "enriched", "enrichedFields": ["emails", "phones"], "missingInputs": [] }, { "id": "per_9a1c7e2f-3b4d-4c5e-9f6a-7b8c9d0e1f2a", "status": "partially_enriched", "enrichedFields": ["emails"], "missingInputs": ["linkedinUrl"] }, { "id": "per_77be1a2b-4c5d-4e6f-8a7b-9c0d1e2f3a4b", "status": "not_enriched", "enrichedFields": [], "missingInputs": ["companyWebsite", "linkedinUrl"] }, { "id": "per_2d4f6a8c-1e3b-4d5f-9a7c-8e0b2d4f6a8c", "status": "skipped", "enrichedFields": [], "missingInputs": [] }, { "id": "per_c3e5a7b9-2d4f-4a6c-8e0b-1d3f5a7c9e0b", "status": "error", "enrichedFields": [], "missingInputs": [] } ] } ], "pagination": {} }
Example:
["This field is deprecated"]